QT += core gui network widgets
#CONFIG += console

HEADERS += \
    sources/OutilZT.h \
    sources/MainPanel.h \
    sources/GlobalDefine.h \
    sources/GuiElements/MainPage.h \
    sources/GuiElements/Guipage.h \
    sources/GuiElements/PushButton.h \
    sources/GuiElements/LogViewPage.h \
    sources/GuiElements/TextButtonWidget.h \
    sources/GuiElements/RankRulerWidget.h \
    sources/GuiElements/GraphCursorWidget.h \
    sources/GuiElements/EventsRulerWidget.h \
    sources/GuiElements/AnalogGraphItem.h \
    sources/GuiElements/GraphItem.h \
    sources/GuiElements/GraphRulerWidget.h \
    sources/ZTData.h \
    sources/LogMgr.h \
    sources/TrainLogFileMgr.h \
    sources/GuiElements/LogsListPage.h \
    sources/GuiElements/OptionsPage.h \
    sources/Settings.h \
    sources/GuiElements/NetworkZTListPage.h \
    sources/GuiElements/ToggleTextButtonWidget.h \
    sources/GuiElements/NetworkCtrlPage.h \
    sources/NetworkManager.h \
    sources/GuiElements/TxRxWidget.h \
    sources/TCPProtocol.h \
    sources/GuiElements/RemoteZTPage.h \
    sources/GuiElements/ZTLogViewerPage.h \
    sources/GuiElements/ProgressBarPage.h \
    sources/GuiElements/RemoteZTCtrlPage.h \
    sources/GuiElements/ToggleButtonWidget.h \
    sources/UDPProtocol.h \
    sources/GuiElements/DatabaseMgrPage.h \
    sources/GuiElements/ZTLogsListPage.h \
    sources/ZTLogFilesMgr.h \
    sources/OutilZTVersion.h \
    sources/DirParserThread.h

SOURCES += \
    sources/main.cpp \
    sources/OutilZT.cpp \
    sources/MainPanel.cpp \
    sources/GuiElements/MainPage.cpp \
    sources/GuiElements/GuiPage.cpp \
    sources/GuiElements/PushButton.cpp \
    sources/GuiElements/LogViewPage.cpp \
    sources/GuiElements/TextButtonWidget.cpp \
    sources/GuiElements/RankRulerWidget.cpp \
    sources/GuiElements/GraphCursorWidget.cpp \
    sources/GuiElements/EventsRulerWidget.cpp \
    sources/GuiElements/AnalogGraphItem.cpp \
    sources/GuiElements/GraphItem.cpp \
    sources/GuiElements/GraphRulerWidget.cpp \
    sources/ZTData.cpp \
    sources/LogMgr.cpp \
    sources/TrainLogFileMgr.cpp \
    sources/GuiElements/LogsListPage.cpp \
    sources/GuiElements/OptionsPage.cpp \
    sources/Settings.cpp \
    sources/GuiElements/NetworkZTListPage.cpp \
    sources/GuiElements/ToggleTextButtonWidget.cpp \
    sources/GuiElements/NetworkCtrlPage.cpp \
    sources/NetworkManager.cpp \
    sources/GuiElements/TxRxWidget.cpp \
    sources/TCPProtocol.cpp \
    sources/GuiElements/RemoteZTPage.cpp \
    sources/GuiElements/ZTLogViewerPage.cpp \
    sources/GuiElements/ProgressBarPage.cpp \
    sources/GuiElements/RemoteZTCtrlPage.cpp \
    sources/GuiElements/ToggleButtonWidget.cpp \
    sources/UDPProtocol.cpp \
    sources/GuiElements/DatabaseMgrPage.cpp \
    sources/GuiElements/ZTLogsListPage.cpp \
    sources/ZTLogFilesMgr.cpp \
    sources/DirParserThread.cpp


INCLUDEPATH += $$PWD/ \
               $$PWD/sources/ \
               $$PWD/sources/GuiElements
